<template>
<div>
  <v-data-table
    :headers="dataInfo.headers"
    :items="dataInfo.items"
    :item-key="dataInfo.key"
    :hide-default-footer="dataInfo.items.length <= 10"
    single-select
    class="elevation-1"
    @click:row="select"
    :loading="loading"
    :search="search"
    loading-text="Buscando..."
    no-data-text="No se encontraron resultados"
    :items-per-page="itemsPerPage"
  >
  </v-data-table>
</div>
</template>

<script>
export default {
  data() {
    return{
      }
    },
  props:{
    dataInfo: Object, //must have headers & items & key
    loading: Boolean,
    search: String,
    itemsPerPage: {type: Number, default: 10},
  },
  methods:{
    select(item, row){
      row.select(true)
      this.$emit('selected',item)
    }
  }
}
</script>
<style scoped lang="scss">
</style>
